package guiInterface;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Paint;
import java.awt.Point;
import java.awt.geom.AffineTransform;

public class goLigne extends GraphicObject {
	
	private Point pt2;
	private double epaisseur = 0.2;

	public goLigne (Point pt1, Point pt2) {
		super(pt1);
		this.pt2 = pt2;
	}
	
    public void draw(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        Paint originePaint = g2.getPaint();
        AffineTransform oatx = g2.getTransform();
        g2.rotate(this.getRotation());
        g2.setPaint(Color.black);
        g2.drawLine(this.getX(), this.getY(), this.pt2.x, this.pt2.y);
        g2.setPaint(originePaint);
        g2.setTransform(oatx);
    }

}
