package guiInterface;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Paint;
import java.awt.Point;
import java.awt.geom.AffineTransform;

public class goNord extends GraphicObject {
	
	public goNord(Point position) {
		super(position, new Dimension(10, 10));
	}
	
    public void draw(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        Paint originePaint = g2.getPaint();
        AffineTransform oatx = g2.getTransform();
        g2.rotate(this.getRotation());
        g2.setPaint(Color.black);
        g2.drawLine(this.getX() - 2, this.getY() + 15, this.getX(), this.getY() - 15);
        g2.drawLine(this.getX(), this.getY() - 15, this.getX() + 2, this.getY() + 15);
        g2.drawLine(this.getX() - 2, this.getY() + 15, this.getX() + 2, this.getY() + 15);
        g2.drawString("N", this.getX() + 5, this.getY() + 5);
        g2.setPaint(originePaint);
        g2.setTransform(oatx);
    }

}
